VARKON Version 1.15 1997-10-24

> ## inflt - Function

> Read float from file
> Description
> Reads a float string from an open file or pipe.
> Syntax
> inflt(f, width)

> FILE | f;
> INT | width;

> Principal parameters

> f | - A filevariable accociated with a file open for read or update (R or U)

> Optional parameters

> width | - Number of characters to read. If not specified inflt reads as many characters as needed.

> Return value
> The FLOAT value read.
> Examples
> With the following line of data
> "1 2345.6 2E3 ABC"
> consecutive calls to inflt would read as follows.....
> inflt(f) = 1.0
> inflt(f, 2) = 2.0
> inflt(f) = 345.6
> inflt(f) = 2000.0
> inflt(f) = Undefined, error code in iostat()

VARKON Homepage | Index